Subject: [clisp-list] next question - socket streams unbuffered?

From: [email-masked] (Don Cohen)
Date: Tue Sep 16 16:19:13 2003

(setf stream (socket:SOCKET-ACCEPT s))
 #<IO UNBUFFERED SOCKET-STREAM CHARACTER 0.0.0.0:5500>

What does it mean for the stream to be unbuffered?
Clearly when the other side sends characters they're stored somewhere
until I read them from the stream.

For output I suppose it makes more sense - I suppose unbuffered means
that all data is sent in outgoing packets "shortly" after it's written
to the stream, as opposed to waiting for a packet to fill up or a
force-output.  Is that the idea?

Impnotes shows a lot of :buffered arguments but doesn't say much about
what they mean.